<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <xsl:template match="/">
    <fo:root>
      <!-- Dokumentvorlage -->
      <fo:layout-master-set>
        <!-- Blattangaben fr erste Seite -->
        <fo:simple-page-master master-name="Titelseite" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin="5cm">
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" background-color="wheat">
          </fo:region-body>
        </fo:simple-page-master>
        <!-- Blattangaben fr ungerade Seiten -->
        <fo:simple-page-master master-name="Ungerade" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="5cm" margin-right="2.5cm">
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" background-color="wheat">           
          </fo:region-body>
        </fo:simple-page-master>
        <!-- Blattangaben fr gerade Seiten -->
        <fo:simple-page-master master-name="Gerade" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="2.5cm" margin-right="5cm">
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" background-color="wheat">            
          </fo:region-body>
        </fo:simple-page-master>
        <!-- Seitenverlaufsvorlage fr Kapitel -->
        <fo:page-sequence-master master-name="Kapitel">
          <fo:repeatable-page-master-alternatives>
            <fo:conditional-page-master-reference master-reference="Titelseite" page-position="first"/>
            <fo:conditional-page-master-reference master-reference="Ungerade" odd-or-even="odd"/>
            <fo:conditional-page-master-reference master-reference="Gerade" odd-or-even="even"/>
          </fo:repeatable-page-master-alternatives>
        </fo:page-sequence-master>
      </fo:layout-master-set>
      <!-- Text / Seitenverlauf -->
      <fo:page-sequence master-reference="Kapitel">
        <fo:flow flow-name="xsl-region-body" background-color="thistle">
          <fo:block font-family="Helvetica" font-size="12pt">
            <xsl:call-template name="Textschleife">
              <xsl:with-param name="Wert" select="'Dies ist Blindtext. Er braucht nicht gelesen zu werden.'"/>
              <xsl:with-param name="Grenze" select="550"/>
            </xsl:call-template>
          </fo:block>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
  <xsl:template name="Textschleife">
    <xsl:param name="Grenze"/>
    <xsl:param name="Zaehler" select="1"/>
    <xsl:param name="Wert" select="' '"/>
    <xsl:value-of select="$Wert"/>
    <xsl:if test="not($Grenze=$Zaehler)">
      <xsl:call-template name="Textschleife">
        <xsl:with-param name="Zaehler" select="$Zaehler+1"/>
        <xsl:with-param name="Wert" select="$Wert"/>
        <xsl:with-param name="Grenze" select="$Grenze"/>
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
